diff --git a/osd.c b/osd.c
index 136976a..1f9663f 100644
--- a/osd.c
+++ b/osd.c
@@ -890,9 +890,16 @@ eOSState cOsdPipObject::ProcessKey(eKeys Key)
     return state;
 }
 
+#if VDRVERSNUM >= 10726
+void cOsdPipObject::ChannelSwitch(const cDevice * device, int channelNumber, bool LiveView)
+#else
 void cOsdPipObject::ChannelSwitch(const cDevice * device, int channelNumber)
+#endif
 {
-    if (device != cDevice::PrimaryDevice())
+#if VDRVERSNUM < 10726
+    bool LiveView = device && device->IsPrimaryDevice();
+#endif
+    if (!LiveView)
         return;
     if (channelNumber == 0)
         return;
diff --git a/osd.h b/osd.h
index 8cf3cb3..157ce25 100644
--- a/osd.h
+++ b/osd.h
@@ -76,7 +76,11 @@ private:
     void StopReplay();
 protected:
     virtual void Action(void);
+#if VDRVERSNUM >= 10726
+    virtual void ChannelSwitch(const cDevice * device, int channelNumber, bool LiveView);
+#else
     virtual void ChannelSwitch(const cDevice * device, int channelNumber);
+#endif
     virtual void OsdStatusMessage(const char * message);
 
 public:
